Name:           python-jinja2_pluralize
Version:        0.2.1
Release:        4%{?dist}
Summary:        Jinja2 pluralize filters

License:        BSD
URL:            https://pypi.python.org/pypi/jinja2_pluralize
Source0:        https://pypi.python.org/packages/source/j/jinja2_pluralize/jinja2_pluralize-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

# Required for check
BuildRequires:  python-jinja2
BuildRequires:  python-inflect

Requires:       python-inflect

%description
Simple pluralize filter for jinja2 based on inflect.py

%package -n python3-jinja2_pluralize
Summary:        Jinja2 pluralize filters
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

# Required for check
BuildRequires:  python3-jinja2
BuildRequires:  python3-inflect

Requires:       python3-inflect

%description -n python3-jinja2_pluralize
Simple pluralize filter for jinja2 based on inflect.py

%prep
%setup -qc
mv jinja2_pluralize-%{version} python2

pushd python2
# Copy common doc files to the top directory
cp -pr LICENSE AUTHORS.rst CONTRIBUTING.rst HISTORY.rst README.rst ../

rm -rf jinja2_pluralize.egg-info
popd

cp -a python2 python3

%build
pushd python2
%{__python2} setup.py build
popd

pushd python3
%{__python3} setup.py build
popd

%install
pushd python2
%{__python2} setup.py install --skip-build --root %{buildroot}
popd

pushd python3
%{__python3} setup.py install --skip-build --root %{buildroot}
popd

%check
pushd python2
%{__python2} setup.py test
popd

pushd python2
%{__python3} setup.py test
popd

%files
%license LICENSE
%doc AUTHORS.rst CONTRIBUTING.rst HISTORY.rst README.rst
%{python2_sitelib}/jinja2_pluralize
%{python2_sitelib}/jinja2_pluralize-%{version}-*.egg-info

%files -n python3-jinja2_pluralize
%license LICENSE
%doc AUTHORS.rst CONTRIBUTING.rst HISTORY.rst README.rst
%{python3_sitelib}/jinja2_pluralize
%{python3_sitelib}/jinja2_pluralize-%{version}-*.egg-info

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar 18 2015 David Shea <dshea@redhat.com> - 0.2.1-3
- Switch to a python3 build directory under the main build directory
- Actually run the tests

* Wed Jan 28 2015 David Shea <dshea@redhat.com> - 0.2.1-2
- Use %%license for the license file

* Mon Jul 21 2014 David Shea <dshea@redhat.com> - 0.2.1-1
- Update to upstream jinja2_pluralize, which integrates the shebang removal patch
- Fix the requires for the python2 vs. python3 packages
- Separate the buildrequires by package section

* Tue Jul  8 2014 David Shea <dshea@redhat.com> - 0.2.0-1
- Initial package
